/*
 * $Id: tmpMsg.hxx,v 4.0 2003/04/28 14:40:07 hut66au Exp $
 *
 * Imview, the portable image analysis application
 * http://www.cmis.csiro.au/Hugues.Talbot/imview
 * ----------------------------------------------------------
 *
 *  Imview is an attempt to provide an image display application
 *  suitable for professional image analysis. It was started in
 *  1997 and is mostly the result of the efforts of Hugues Talbot,
 *  Image Analysis Project, CSIRO Mathematical and Information
 *  Sciences, with help from others (see the CREDITS files for
 *  more information)
 *
 *  Imview is Copyrighted (C) 1997-2001 by Hugues Talbot and was
 *  supported in parts by the Australian Commonwealth Science and 
 *  Industry Research Organisation. Please see the COPYRIGHT file 
 *  for full details. Imview also includes the contributions of 
 *  many others. Please see the CREDITS file for full details.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
 * */

/*------------------------------------------------------------------------
 *
 * A temporary message box, with no controls.
 * This is to put up messages that the applications will take off
 * automatically.
 *
 * Hugues Talbot	 7 Nov 1998
 *
 *-----------------------------------------------------------------------*/

#ifndef TMPMSG_H
#define TMPMSG_H

#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Box.H>
#include <FL/Fl_Output.H>

class tmpmsg {

public:
    void setMessage(char *msg) {
	MessageOutput->value(msg);
	MessageOutput->redraw();
    }
    void show() {outputWindow->show();}
    void hide() {outputWindow->hide();}
    friend Fl_Window *tmpmsg_panel(tmpmsg &tm);
    
private:
    Fl_Window      *outputWindow;
    Fl_Output      *MessageOutput;

};

#endif // TMPMSG_H
